<mat-card class="header">
  <div fxLayout="row" fxLayoutAlign="start center" class="logo-container">
    <img src="../../../assets/images/awesome-logo.png" class="logo" alt="" routerLink="home"/>
    <div style="width: 200px; font-size: 20px; margin-left: 10px" routerLink="home">
      Personality Test
    </div>

    <div style="width: 100%" fxLayout="row" fxLayoutAlign="end center">
      <button
        mat-icon-button
        class="button"
        [matMenuTriggerFor]="menu"
        aria-label="Example icon-button with a menu"
      >
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item>
          <span>Login (to do)</span>
        </button>
        <button mat-menu-item>
          <span>Manage tests (to do)</span>
        </button>
        <button mat-menu-item (click)="logout()">
          <span>Logout (to do)</span>
        </button>
      </mat-menu>
    </div>
  </div>
</mat-card>
